# Update license POST https://app.unleash-instance.example.com/api/admin/license Content-Type: application/json **Enterprise feature** Set a new Unleash license. Only available for self-hosted Enterprise customers. Reference: https://docs.getunleash.io/api/update-license ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Set a new Unleash license. version: endpoint_instanceAdmin.updateLicense paths: /api/admin/license: post: operationId: update-license summary: Set a new Unleash license. description: >- **Enterprise feature** Set a new Unleash license. Only available for self-hosted Enterprise customers. tags: - - subpackage_instanceAdmin parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '201': description: The resource was successfully created. content: application/json: schema: $ref: '#/components/schemas/licenseReadSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: licenseUpdateSchema content: application/json: schema: $ref: '#/components/schemas/licenseUpdateSchema' components: schemas: licenseUpdateSchema: type: object properties: token: type: string description: The actual license token. required: - token LicenseReadSchemaResources: type: object properties: seats: type: number format: double description: Number of seats in the license. releaseTemplates: type: number format: double description: Number of release templates in the license. edgeInstances: type: number format: double description: Number of Edge instances in the license. readOnlyUsers: type: number format: double description: Number of read-only users in the license. licenseReadSchema: type: object properties: token: type: string description: The actual license token. isValid: type: boolean description: Whether the license is valid or not. customer: type: string description: >- Name of the customer that owns the license. This is the name of the company that purchased the license. type: type: string description: Type of license. instanceName: type: string description: Name of the Unleash instance where this license is valid. instanceId: type: string description: Identifier of the Unleash instance where this license is valid. plan: type: string description: Name of plan that the license is for. resources: $ref: '#/components/schemas/LicenseReadSchemaResources' description: The resources available in the license. expireAt: type: string format: date-time description: Date when the license expires. issuedAt: type: string format: date-time description: Date when the license was issued. required: - isValid ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/license" payload = { "token": "string" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/license'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"token":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/license" payload := strings.NewReader("{\n \"token\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/license") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"token\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/license") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"token\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/license', [ 'body' => '{ "token": "string" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/license"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"token\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["token": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/license")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```